---
title: Get Account Billable Usage Info (Version 1, Alpha)
---

[Skip to content](#_top)

[API Reference](https://developers.cloudflare.com/api/go)

[Billing](https://developers.cloudflare.com/api/go/resources/billing)

[Usage](https://developers.cloudflare.com/api/go/resources/billing/subresources/usage)

Copy Markdown

Open in **Claude**Open in **ChatGPT**Open in **Cursor**

---

**Copy Markdown****View as Markdown**

# Get Account Billable Usage Info (Version 1, Alpha)

client.Billing.Usage.GetAccountUsageInfoV1(ctx, query) (\*[UsageGetAccountUsageInfoV1Response](<https://developers.cloudflare.com/api/go/resources/billing#(resource)%20billing.usage%20%3E%20(model)%20UsageGetAccountUsageInfoV1Response%20%3E%20(schema)>), error)

GET/accounts/{account\_id}/billable-usage/info

Returns high-level usage information for the account, including coverage, and subscription metadata.

##### Security

<details>

<summary>API Token</summary>



The preferred authorization scheme for interacting with the Cloudflare API. <a href="https://developers.cloudflare.com/fundamentals/api/get-started/create-token/">Create a token</a>.

**Example:**<code>Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY</code>

</details>

<details>

<summary>API Email + API Key</summary>



The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

**Example:**<code>X-Auth-Email: user@example.com</code>

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

**Example:**<code>X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194</code>

</details>

##### ParametersExpand Collapse

<details>

<summary>

query UsageGetAccountUsageInfoV1Params

</summary>

AccountID param.Field\[string]

Represents a Cloudflare resource identifier tag.

maxLength32

<a href="#(resource)%20billing.usage%20%3E%20(method)%20get_account_usage_info_v1%20%3E%20(params)%20default%20%3E%20(param)%20account_id">Link to this property</a>

</details>

[Link to this property](<#(resource)%20billing.usage%20%3E%20(method)%20get_account_usage_info_v1%20%3E%20(params)%20default>)

##### ReturnsExpand Collapse

<details>

<summary>

type UsageGetAccountUsageInfoV1Response struct{…}

Contains the usage info.

</summary>

Covered bool

Indicates whether the account is covered.

<a href="#(resource)%20billing.usage%20%3E%20(model)%20UsageGetAccountUsageInfoV1Response%20%3E%20(schema)%20%3E%20(property)%20covered">Link to this property</a>

<details>

<summary>

Subscriptions \[]UsageGetAccountUsageInfoV1ResponseSubscription

List of subscriptions for the account.

</summary>

ID string

The identifier for the Cloudflare subscription.

<a href="#(resource)%20billing.usage%20%3E%20(model)%20UsageGetAccountUsageInfoV1Response%20%3E%20(schema)%20%3E%20(property)%20subscriptions%20%3E%20(items)%20%3E%20(property)%20id">Link to this property</a>

BillingCycleAnchorTimestamp Time

The subscription billing cycle anchor timestamp.

formatdate-time

<a href="#(resource)%20billing.usage%20%3E%20(model)%20UsageGetAccountUsageInfoV1Response%20%3E%20(schema)%20%3E%20(property)%20subscriptions%20%3E%20(items)%20%3E%20(property)%20billing_cycle_anchor_timestamp">Link to this property</a>

StartTimestamp Time

The subscription start timestamp.

formatdate-time

<a href="#(resource)%20billing.usage%20%3E%20(model)%20UsageGetAccountUsageInfoV1Response%20%3E%20(schema)%20%3E%20(property)%20subscriptions%20%3E%20(items)%20%3E%20(property)%20start_timestamp">Link to this property</a>

EndTimestamp TimeOptional

The subscription end timestamp. Omitted for active subscriptions; present only when the subscription has been cancelled.

formatdate-time

<a href="#(resource)%20billing.usage%20%3E%20(model)%20UsageGetAccountUsageInfoV1Response%20%3E%20(schema)%20%3E%20(property)%20subscriptions%20%3E%20(items)%20%3E%20(property)%20end_timestamp">Link to this property</a>

</details>

<a href="#(resource)%20billing.usage%20%3E%20(model)%20UsageGetAccountUsageInfoV1Response%20%3E%20(schema)%20%3E%20(property)%20subscriptions">Link to this property</a>

</details>

[Link to this property](<#(resource)%20billing.usage%20%3E%20(model)%20UsageGetAccountUsageInfoV1Response%20%3E%20(schema)>)

### Get Account Billable Usage Info (Version 1, Alpha)

Go

HTTPTypeScriptPythonGoTerraform

```
package main

import (
  "context"
  "fmt"

  "github.com/cloudflare/cloudflare-go"
  "github.com/cloudflare/cloudflare-go/billing"
  "github.com/cloudflare/cloudflare-go/option"
)

func main() {
  client := cloudflare.NewClient(
    option.WithAPIToken("Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY"),
  )
  response, err := client.Billing.Usage.GetAccountUsageInfoV1(context.TODO(), billing.UsageGetAccountUsageInfoV1Params{
    AccountID: cloudflare.F("023e105f4ecef8ad9ca31a8372d0c353"),
  })
  if err != nil {
    panic(err.Error())
  }
  fmt.Printf("%+v\n", response.Covered)
}
```

200 example

```
{
  "errors": [
    {
      "message": "message",
      "code": 0
    }
  ],
  "messages": [
    {
      "message": "message",
      "code": 0
    }
  ],
  "result": {
    "covered": true,
    "subscriptions": [
      {
        "id": "3F3CD4CQ6N7FXO7IK6NVFJBOYA",
        "billing_cycle_anchor_timestamp": "2023-01-01T00:00:00Z",
        "start_timestamp": "2023-01-01T00:00:00Z",
        "end_timestamp": "2023-12-31T23:59:59Z"
      }
    ]
  },
  "success": true
}
```

##### Returns Examples

200 example

```
{
  "errors": [
    {
      "message": "message",
      "code": 0
    }
  ],
  "messages": [
    {
      "message": "message",
      "code": 0
    }
  ],
  "result": {
    "covered": true,
    "subscriptions": [
      {
        "id": "3F3CD4CQ6N7FXO7IK6NVFJBOYA",
        "billing_cycle_anchor_timestamp": "2023-01-01T00:00:00Z",
        "start_timestamp": "2023-01-01T00:00:00Z",
        "end_timestamp": "2023-12-31T23:59:59Z"
      }
    ]
  },
  "success": true
}
```